<template>
  <div class="prk-order__popup-error">
    <div class="prk-order__popup-error-container">
    <button class="prk-order__popup-error-clouse" @click="$emit('clous-popup')"></button>
      <div class="prk-order__popup-error-inner">
        <div class="prk-order__popup-error-content">  
            {{eror}}
         </div> 
      </div> 
    </div>  
  </div>
</template>

<script>
export default {
  name: 'popupEror',
  props: {
    eror: String,
  },
  mounted(){
      document.body.classList.add('scroll-none')
  }
}
</script>
<style lang="stylus">
.scroll-none
  overflow hidden!important
  position fixed
  height 100%
  width 100%
.prk-order
  &__popup-error 
    position fixed
    top 0
    left 0
    width 100%
    display flex
    align-items center
    justify-content center
    height 100%
    background rgba(0,0,0,0.7)
    -webkit-transition opacity 0.3s ease
    transition opacity 0.3s ease
    z-index 9999
    overflow hidden
    outline 0
    &-container
      position relative
      background #fff
      width 480px
      border-radius 5px
      -webkit-box-shadow 0 2px 8px rgba(0,0,0,0.33)
      box-shadow 0 2px 8px rgba(0,0,0,0.33)
      -webkit-transition all 0.3s ease
      transition all 0.3s ease
      margin 0 auto
      padding 30px 20px 20px
      overflow auto
      max-height 85%
    &-content
      font-size 21px
      font-weight 700
    &-clouse
      position absolute
      right 8px
      top 6px
      width 30px
      height 30px
      background transparent
      border 2px solid #000
      -moz-border-radius 50%
      -webkit-border-radius 50%
      border-radius 50%
      transition .2s ease
      cursor pointer
      &:hover 
        transform scale(0.9)
      &:focus  
        outline none
      &:before,
      &:after
        left 50%
        top 50%
        margin-left -9px
        margin-top -1px
        width 18px
        height 2px
        background-color #000
        content ""
        position absolute
      &:before
        -moz-transform rotate(45deg)
        -ms-transform rotate(45deg)
        -webkit-transform rotate(45deg)
        transform rotate(45deg)
      &:after
        -moz-transform rotate(-45deg)
        -ms-transform rotate(-45deg)
        -webkit-transform rotate(-45deg)
        transform rotate(-45deg)

@media (max-width:580px)
  .prk-order
    &__popup-error 
      &-container
        width 90%
      &-content
        font-size  18px
</style>